#### D.14.1.11 arrCentral

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrCentral(A); arr A

Return:
  [0,1] true if arr is central(i.e. all planes intersect in 0)

Note:
  This is the same as homog(A)

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    // centered and central
    arr A = ideal(x,y,z);
    arrCentered(A);
    ==> 1
    arrCentral(A);
    ==> 1
    // centered but not central (center: (-1,-1/2, 1))
    arr B = ideal(x+1,2y+1,-z+1);
    arrCentered(B);
    ==> 1
    arrCentral(B);
    ==> 0

See also: arrCenter; arrCentered; arrCentral; arrCentralize.

User manual for Singular version 4.4.1, 2025, generated by texi2html.